# This file is sourced by /usr/bin/s{on,off,stat}.
# Do not call for itself!

theSocket=''

sis_get_socket_number(){
	for i in 1 2 3 4; do
		if [ $1 == $i ]; then
			theSocket=$i
			return
		fi
	done

	# If no socket was found yet, try in config file
	theSocket=` grep $1 /etc/sis-sockets | cut '-d ' -f1 `
}

if [ `whoami` = root ]
then	sudocmd=
else	sudocmd=sudo
fi

if [ -z $1 ]
then	theports='1 2 3 4'
else	theports=$@
fi

for i in $theports; do
	sis_get_socket_number $i
	if [ -z "$theSocket" ]; then
		echo Port $i is invalid.
	else
		$sudocmd sispmctl $SISPMCTLFLAG $theSocket
	fi
done

